<?php

namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class EscalaService {
    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getEscalaTrab(
        int $nrOrg,
        string $dtMesCompetencia = ''
    ): array {
        $route = 'getEscalaTrab';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'DTMESCOMPETENCIA' => $dtMesCompetencia,
            ],
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $escalas = $result['dataset'][$route];

        return $escalas;
    }

    public function getTurnos(
        int $nrOrg,
        int $nrEscala
    ): array {
        $route = 'getTurnos';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRESCALATRABM' => $nrEscala,
            ],
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $turnos = $result['dataset'][$route];

        return $turnos;
    }
}