/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: TRG_DTULTATU_FORN                                                    */
/*                                                                            */
/* Descrio:                                                                 */
/* Atualiza a data de ultima atualizao do Fornecedor                        */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2000 - Yoris L. de Souza                                             */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FORN'  and
            type = 'TR'                 and
            u.uid = o.uid               and
            u.name = USER)
  DROP TRIGGER DTULTATU_FORN
  GO

CREATE TRIGGER DTULTATU_FORN
ON FORNECEDOR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FORNECEDOR', 'CDFORNECED=' + CDFORNECED+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FORNECEDOR
      SET DTULTATUFORN = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FORNECEDOR.IDTPIJURFORN,0) = ISNULL(INSERTED.IDTPIJURFORN,0)) AND
            (ISNULL(FORNECEDOR.NRINSJURFORN,0) = ISNULL(INSERTED.NRINSJURFORN,0)) AND
            (ISNULL(FORNECEDOR.NMRAZSOCFORN,0) = ISNULL(INSERTED.NMRAZSOCFORN,0)) AND
            (ISNULL(FORNECEDOR.NMFANTFORN,0)   = ISNULL(INSERTED.NMFANTFORN,0))   AND
            (ISNULL(FORNECEDOR.CDFORNECED,0)   = ISNULL(INSERTED.CDFORNECED,0))   AND
            (ISNULL(FORNECEDOR.IDTPFRETFORN,0) = ISNULL(INSERTED.IDTPFRETFORN,0)) AND
            (ISNULL(FORNECEDOR.CDTIPCOB,0)     = ISNULL(INSERTED.CDTIPCOB,0))     AND
            (ISNULL(FORNECEDOR.CDFORMPGTO,0)   = ISNULL(INSERTED.CDFORMPGTO,0))   AND
            (ISNULL(FORNECEDOR.IDTPFORPGTFO,0) = ISNULL(INSERTED.IDTPFORPGTFO,0)) AND
            (ISNULL(FORNECEDOR.NRDIAPGFIXFO,0) = ISNULL(INSERTED.NRDIAPGFIXFO,0)) AND
            (ISNULL(FORNECEDOR.NRPARCPGTOFO,0) = ISNULL(INSERTED.NRPARCPGTOFO,0)) AND
            (ISNULL(FORNECEDOR.IDUTDIAPGTFO,0) = ISNULL(INSERTED.IDUTDIAPGTFO,0)) AND
            (ISNULL(FORNECEDOR.VRPEDESCFORN,0) = ISNULL(INSERTED.VRPEDESCFORN,0)) AND
            (ISNULL(FORNECEDOR.IDSITUCADA,0)   = ISNULL(INSERTED.IDSITUCADA,0))   AND
            (ISNULL(FORNECEDOR.IDTPDESCFORN,0) = ISNULL(INSERTED.IDTPDESCFORN,0)) AND
            (ISNULL(FORNECEDOR.IDGERCONTPGT,0) = ISNULL(INSERTED.IDGERCONTPGT,0)) AND
            (ISNULL(FORNECEDOR.CDSEGMER,0)     = ISNULL(INSERTED.CDSEGMER,0))     AND
            (ISNULL(FORNECEDOR.CDQUALIF,0)     = ISNULL(INSERTED.CDQUALIF,0))     AND
            (ISNULL(FORNECEDOR.DSEMAILCOT,0)   = ISNULL(INSERTED.DSEMAILCOT,0))   AND
            (ISNULL(FORNECEDOR.IDFORNAUTO,0)   = ISNULL(INSERTED.IDFORNAUTO,0))   AND
            (ISNULL(FORNECEDOR.DTVALQUALIF,CONVERT(DATETIME,'31/12/1899')) =
               ISNULL(INSERTED.DTVALQUALIF,CONVERT(DATETIME,'31/12/1899')))  AND
            (ISNULL(FORNECEDOR.IDTIPOFORN,0)   = ISNULL(INSERTED.IDTIPOFORN,0))   AND
            (ISNULL(FORNECEDOR.CDGRUPOFISC,0)  = ISNULL(INSERTED.CDGRUPOFISC,0))  AND
            (ISNULL(FORNECEDOR.NRINSESTFORN,0) = ISNULL(INSERTED.NRINSESTFORN,0)) AND
            (ISNULL(FORNECEDOR.CDCLIENTE,0)    = ISNULL(INSERTED.CDCLIENTE,0))    AND
            (ISNULL(FORNECEDOR.IDGERAFDTENT,0) = ISNULL(INSERTED.IDGERAFDTENT,0)) AND            
            (ISNULL(FORNECEDOR.CDMODDOCFISC,0) = ISNULL(INSERTED.CDMODDOCFISC,0)) AND
            (ISNULL(FORNECEDOR.IDBLOQCMPSAFFOR,0) = ISNULL(INSERTED.IDBLOQCMPSAFFOR,0)) AND
            (ISNULL(FORNECEDOR.CDFORNERELAC,0)   = ISNULL(INSERTED.CDFORNERELAC,0)) AND
            (ISNULL(FORNECEDOR.CDGRUPFORN,0)   = ISNULL(INSERTED.CDGRUPFORN,0));
   END;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_FORN','4.11.175';
GO

